/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2022 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define PC60_X0_Pin GPIO_PIN_1
#define PC60_X0_GPIO_Port GPIOA
#define PC60_X1_Pin GPIO_PIN_2
#define PC60_X1_GPIO_Port GPIOA
#define PC60_X2_Pin GPIO_PIN_3
#define PC60_X2_GPIO_Port GPIOA
#define PC60_X3_Pin GPIO_PIN_4
#define PC60_X3_GPIO_Port GPIOA
#define PC60_X4_Pin GPIO_PIN_5
#define PC60_X4_GPIO_Port GPIOA
#define PC60_X5_Pin GPIO_PIN_6
#define PC60_X5_GPIO_Port GPIOA
#define PC60_X6_Pin GPIO_PIN_7
#define PC60_X6_GPIO_Port GPIOA
#define PC60_Y5_Pin GPIO_PIN_0
#define PC60_Y5_GPIO_Port GPIOB
#define PC60_Y5_EXTI_IRQn EXTI0_IRQn
#define PC60_Y6_Pin GPIO_PIN_1
#define PC60_Y6_GPIO_Port GPIOB
#define PC60_Y6_EXTI_IRQn EXTI1_IRQn
#define PC60_Y7_Pin GPIO_PIN_2
#define PC60_Y7_GPIO_Port GPIOB
#define PC60_Y7_EXTI_IRQn EXTI2_IRQn
#define PC60_Y1_Pin GPIO_PIN_10
#define PC60_Y1_GPIO_Port GPIOB
#define PC60_Y1_EXTI_IRQn EXTI15_10_IRQn
#define PC60_Y2_Pin GPIO_PIN_12
#define PC60_Y2_GPIO_Port GPIOB
#define PC60_Y2_EXTI_IRQn EXTI15_10_IRQn
#define PC60_Y3_Pin GPIO_PIN_13
#define PC60_Y3_GPIO_Port GPIOB
#define PC60_Y3_EXTI_IRQn EXTI15_10_IRQn
#define PC60_Y4_Pin GPIO_PIN_14
#define PC60_Y4_GPIO_Port GPIOB
#define PC60_Y4_EXTI_IRQn EXTI15_10_IRQn
#define PC60_X7_Pin GPIO_PIN_9
#define PC60_X7_GPIO_Port GPIOA
#define PC60_Y8_Pin GPIO_PIN_3
#define PC60_Y8_GPIO_Port GPIOB
#define PC60_Y8_EXTI_IRQn EXTI3_IRQn
#define PC60_Y9_Pin GPIO_PIN_4
#define PC60_Y9_GPIO_Port GPIOB
#define PC60_Y9_EXTI_IRQn EXTI4_IRQn
#define PC60_A_Pin GPIO_PIN_5
#define PC60_A_GPIO_Port GPIOB
#define PC60_A_EXTI_IRQn EXTI9_5_IRQn
#define PC60_A0_Pin GPIO_PIN_6
#define PC60_A0_GPIO_Port GPIOB
#define PC60_A0_EXTI_IRQn EXTI9_5_IRQn
#define PC60_A1_Pin GPIO_PIN_7
#define PC60_A1_GPIO_Port GPIOB
#define PC60_A1_EXTI_IRQn EXTI9_5_IRQn
#define PC60_A2_Pin GPIO_PIN_8
#define PC60_A2_GPIO_Port GPIOB
#define PC60_A2_EXTI_IRQn EXTI9_5_IRQn
#define PC60_A3_Pin GPIO_PIN_9
#define PC60_A3_GPIO_Port GPIOB
#define PC60_A3_EXTI_IRQn EXTI9_5_IRQn
/* USER CODE BEGIN Private defines */
typedef
		enum
		{
	PC60_ID_Y0 = 0,
	PC60_ID_Y1,
	PC60_ID_Y2,
	PC60_ID_Y3,
	PC60_ID_Y4,
	PC60_ID_Y5,
	PC60_ID_Y6,
	PC60_ID_Y7,
	PC60_ID_Y8,
	PC60_ID_Y9,
	PC60_ID_MAX
	}
PC60_ADRS_ID;

extern uint32_t			pc60_data[];
extern uint32_t			pc60_data_4bit[];

extern uint32_t			*pc60_data0;
extern uint32_t			*pc60_data1;
extern uint32_t			*pc60_data2;
extern uint32_t			*pc60_data3;
extern uint32_t			*pc60_data4;
extern uint32_t			*pc60_data5;
extern uint32_t			*pc60_data6;
extern uint32_t			*pc60_data7;
extern uint32_t			*pc60_data8;
extern uint32_t			*pc60_data9;

extern uint32_t			pc60_reset;
/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
