
#ifndef __USBH_HID_GAMEPAD_H
#define __USBH_HID_GAMEPAD_H

#include "usbh_hid.h"

typedef struct _HID_GAMEPAD_Info
{
  uint8_t              x;
  uint8_t              y;
  uint8_t              hatsw;
  uint8_t              button[16];
}
HID_GAMEPAD_Info_TypeDef;

typedef enum
{
			PROP_X = 0,
			PROP_Y,
			PROP_HATSW,
			PROP_B1,
			PROP_B2,
			PROP_B3,
			PROP_B4,
			PROP_B5,
			PROP_B6,
			PROP_B7,
			PROP_B8,
			PROP_B9,
			PROP_B10,
			PROP_B11,
			PROP_B12,
			PROP_B13,
			PROP_B14,
			PROP_B15,
			PROP_B16,
			PROP_MAX
}
PROPERTY_LIST;

USBH_StatusTypeDef        USBH_HID_GamepadInit(USBH_HandleTypeDef *phost);
HID_GAMEPAD_Info_TypeDef  *USBH_HID_GetGamepadInfo(USBH_HandleTypeDef *phost);

#endif /* __USBH_HID_GAMEPAD_H */
